org.opencv.bioinspired

## Class Retina

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.bioinspired.Retina

-     public class Retina
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Retina(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Retina` | `__fromPtr__(long addr)`
    `void` | `activateContoursProcessing(boolean activate)`
    `void` | `activateMovingContoursProcessing(boolean activate)`
    `void` | `applyFastToneMapping(Mat inputImage, Mat outputToneMappedImage)`
    `void` | `clearBuffers()`
    `static Retina` | `create(Size inputSize)`
    `static Retina` | `create(Size inputSize, boolean colorMode)`
    `static Retina` | `create(Size inputSize, boolean colorMode, int colorSamplingMethod, boolean useRetinaLogSampling, float reductionFactor, float samplingStrenght)`
    `protected void` | `finalize()`
    `Size` | `getInputSize()`
    `void` | `getMagno(Mat retinaOutput_magno)`
    `Mat` | `getMagnoRAW()`
    `void` | `getMagnoRAW(Mat retinaOutput_magno)`
    `Size` | `getOutputSize()`
    `void` | `getParvo(Mat retinaOutput_parvo)`
    `Mat` | `getParvoRAW()`
    `void` | `getParvoRAW(Mat retinaOutput_parvo)`
    `java.lang.String` | `printSetup()`
    `void` | `run(Mat inputImage)`
    `void` | `setColorSaturation()`
    `void` | `setColorSaturation(boolean saturateColors, float colorSaturationValue)`
    `void` | `setup()`
    `void` | `setup(java.lang.String retinaParameterFile, boolean applyDefaultSetupOnFailure)`
    `void` | `setupIPLMagnoChannel()`
    `void` | `setupIPLMagnoChannel(boolean normaliseOutput, float parasolCells_beta, float parasolCells_tau, float parasolCells_k, float amacrinCellsTemporalCutFrequency, float V0CompressionParameter, float localAdaptintegration_tau, float localAdaptintegration_k)`
    `void` | `setupOPLandIPLParvoChannel()`
    `void` | `setupOPLandIPLParvoChannel(boolean colorMode, boolean normaliseOutput, float photoreceptorsLocalAdaptationSensitivity, float photoreceptorsTemporalConstant, float photoreceptorsSpatialConstant, float horizontalCellsGain, float HcellsTemporalConstant, float HcellsSpatialConstant, float ganglionCellsSensitivity)`
    `void` | `write(java.lang.String fs)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Retina

          protected Retina(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static Retina __fromPtr__(long addr)

    - #### getMagnoRAW

          public Mat getMagnoRAW()

    - #### getParvoRAW

          public Mat getParvoRAW()

    - #### create

          public static Retina create(Size inputSize,
                                      boolean colorMode,
                                      int colorSamplingMethod,
                                      boolean useRetinaLogSampling,
                                      float reductionFactor,
                                      float samplingStrenght)

    - #### create

          public static Retina create(Size inputSize,
                                      boolean colorMode)

    - #### create

          public static Retina create(Size inputSize)

    - #### getInputSize

          public Size getInputSize()

    - #### getOutputSize

          public Size getOutputSize()

    - #### printSetup

          public java.lang.String printSetup()

    - #### activateContoursProcessing

          public void activateContoursProcessing(boolean activate)

    - #### activateMovingContoursProcessing

          public void activateMovingContoursProcessing(boolean activate)

    - #### applyFastToneMapping

          public void applyFastToneMapping(Mat inputImage,
                                           Mat outputToneMappedImage)

    - #### clearBuffers

          public void clearBuffers()

    - #### getMagno

          public void getMagno(Mat retinaOutput_magno)

    - #### getMagnoRAW

          public void getMagnoRAW(Mat retinaOutput_magno)

    - #### getParvo

          public void getParvo(Mat retinaOutput_parvo)

    - #### getParvoRAW

          public void getParvoRAW(Mat retinaOutput_parvo)

    - #### run

          public void run(Mat inputImage)

    - #### setColorSaturation

          public void setColorSaturation(boolean saturateColors,
                                         float colorSaturationValue)

    - #### setColorSaturation

          public void setColorSaturation()

    - #### setup

          public void setup(java.lang.String retinaParameterFile,
                            boolean applyDefaultSetupOnFailure)

    - #### setup

          public void setup()

    - #### setupIPLMagnoChannel

          public void setupIPLMagnoChannel(boolean normaliseOutput,
                                           float parasolCells_beta,
                                           float parasolCells_tau,
                                           float parasolCells_k,
                                           float amacrinCellsTemporalCutFrequency,
                                           float V0CompressionParameter,
                                           float localAdaptintegration_tau,
                                           float localAdaptintegration_k)

    - #### setupIPLMagnoChannel

          public void setupIPLMagnoChannel()

    - #### setupOPLandIPLParvoChannel

          public void setupOPLandIPLParvoChannel(boolean colorMode,
                                                 boolean normaliseOutput,
                                                 float photoreceptorsLocalAdaptationSensitivity,
                                                 float photoreceptorsTemporalConstant,
                                                 float photoreceptorsSpatialConstant,
                                                 float horizontalCellsGain,
                                                 float HcellsTemporalConstant,
                                                 float HcellsSpatialConstant,
                                                 float ganglionCellsSensitivity)

    - #### setupOPLandIPLParvoChannel

          public void setupOPLandIPLParvoChannel()

    - #### write

          public void write(java.lang.String fs)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1